You are viewing the documentation for an outdated or unreleased 9.5 version.
This page is also available in versions: 8.1, 9.0, 9.1, 9.2, 9.3, 9.4, 9.5, 9.7 (current), devel

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

9.5:documentation:compatibility [2018/11/14 14:34] (current)
Line 1: Line 1:
 +<- .:​generated_values |  ^ .:start | Documentation ^ ->
 +====== Compatibility ======
  
 +===== Web browsers =====
 +
 +{{:​devel:​documentation:​chrome_logo_png30.png?​100 |}}
 +==== Google Chrome ====
 +=== Tested versions ===
 +  * Version 66.0.3359.181 (Official build) (64bit)
 +  * Version 70.0.3538.67 (Official build) (64bit)
 +  * Version 70.0.3538.102 (Official build) (64bit)
 +
 +----
 +
 +{{:​devel:​documentation:​firefox-01.png?​100 |}}
 +==== Firefox ====
 +=== Tested versions ===
 +  * Version 47.0
 +  * Version 63.0
 +
 +
 +----
 +
 +{{:​devel:​documentation:​ie7windows.png?​100 |}}
 +==== Internet Explorer ====
 +For now isn't possible use CzechIdM product with older version than 11. 
 +=== Tested versions ===
 +  * IE 11,
 +  * IE 11.345.17134.0
 +  * EDGE 42.17134.1.0
 +
 +=== Know issues ===
 +  * **Icons and fonts doesn'​t works:** Your system or IE has disabled download fonst (this is security settings). You can enable it by settings IE or System. See the pictures for enble the font behavior: {{:​devel:​documentation:​fontdisable01.png?​linkonly | System settings }} or {{ :​devel:​documentation:​fontdisable02.png?​linkonly | IE settings}}. [[http://​www.thewindowsclub.com/​icons-fonts-missing-internet-explorer-11|Article about it]].
 + 
 +
 +----
 +
 +{{:​devel:​documentation:​safari.png?​90 |}}
 +==== Apple Safari ====
 +  * Safari 11.x
 +
 +
 +----
 +
 +===== Application servers =====
 +
 +Our product is primary develop and tested on application server [[http://​tomcat.apache.org/​|Apache Tomcat]] we recommend use this application server.
 +
 +==== Apache Tomcat ====
 +{{:​devel:​documentation:​300px-tomcat-logo.svg.png?​170 |}}
 +Apache Tomcat is currently tested on these versions:
 +  * 8.0.24
 +  * 8.0.35
 +  * 8.0.36
 +
 +Download application server is possible from [[https://​archive.apache.org/​dist/​tomcat/​|here]].
 +
 +=== Know issues ===
 +
 +  * We dont register issues with the application server.
 +
 +----
 +
 +==== JBoss WildfFly ====
 +
 +{{:​devel:​documentation:​wildfly_logo_stacked_600px.png?​150 |}}
 +
 +JBoss WildFly isn't currently fully tested, but main functionality works. JBoss WildFly tested versions:
 +  * 10.0.0 (bug  with **date time format exception**,​ for this exists solution with upgrade fasterxml in JBoss libraries),
 +  * 11.0.0,
 +  * 12.0.0.
 +
 +Download application server is possible from [[http://​wildfly.org/​downloads/​|here]].
 +
 +=== Know issues ===
 +   * version 10.0.0 has bug with different version **fasterxml** library. Solutions is replace JBoss fasterxml library with newer (Is recomended use fasterxml library from version 12.0.0),
 +   * from CzechIdM version 8.1.0 is supported loading connectors for ACC module.
 +
 +===== CzechIdM supported databases =====
 +==== PostgreSQL ====
 +{{:​devel:​documentation:​psql.png?​100 |}}
 +PostgreSQL is our first supported databases. CzechIdM application contains all required flyway scripts for run the database.
 +
 +Tested version:
 +  * 9.2,
 +  * 9.6,
 +  * 10
 +
 +
 +=== Know issues ===
 +  * We dont register issues with the PostgreSQL database.
 +
 +----
 +
 +==== Microsoft SQL Server ====
 +{{:​devel:​documentation:​mssql.png?​150 |}}
 +Microsoft SQL Server is second supported tabase. CzechIdM application contains all required flyway scripts for run the database. Please follow these [[tutorial:​adm:​mssql_database_support|instruction]] for setup CzechIdM and MsSQL.
 +
 +Tested version:
 +  * SQL Server 2017, version 14
 +
 +=== Know issues ===
 +  * We dont register issues with the PostgreSQL database.